package com.swmrs.repo;

import com.swmrs.model.Notification;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.CrudRepository;

public interface NotificationRepo extends CrudRepository<Notification, Integer> {
    Notification findById(int id);

    @Query(value = "SELECT * FROM `notification` ORDER BY id DESC LIMIT 5", nativeQuery = true)
    Iterable<Notification> latestNotification();
}
