package com.swmrs.model;

import com.swmrs.enums.UserRole;
import com.swmrs.enums.UserState;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.Id;

@Entity
public class UserCredential {
    @Id
    @Column(length = 350, nullable = false, unique = true)
    private String username;
    @Column(length = 250, nullable = false)
    private String password;
    @Enumerated(EnumType.STRING)
    @Column(length = 25, nullable = false)
    private UserRole role;
    @Enumerated(EnumType.STRING)
    @Column(length = 25, nullable = false)
    private UserState status;


    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public UserRole getRole() {
        return role;
    }

    public void setRole(UserRole role) {
        this.role = role;
    }

    public UserState getStatus() {
        return status;
    }

    public void setStatus(UserState status) {
        this.status = status;
    }
}
